<template>
    <div
        class="w-full"
    >
        <header-circle-container>
            <div
                class="flex justify-between items-center"
            >
                <div
                    class="w-[75px]"
                />
                <div
                    class="flex-1"
                >
                    <div
                        class="text-xl font-black"
                    >
                        $ {{ $helper.fundFormat($userTotalCreditValue) }}
                    </div>
                    <div class="capitalize">
                        {{ $t('combined_wallet_value') }}
                    </div>
                </div>
                <div
                    class="w-[75px]"
                >
                    <a
                        href="javascript:"
                        class="text-white uppercase py-1 px-3 bg-gray-600"
                        @click="$router.push({name: 'user.c1.topup'})"
                    >
                        {{ $t('top_up') }}
                    </a>
                </div>
            </div>

        </header-circle-container>
        <div
            class="mx-4 my-6"
        >
            <div
                v-if="plans"
                class="flex flex-col gap-4"
            >
                <custom-card
                    v-for="plan in plans"
                    :key="plan.code"
                >
                    <div
                        class="flex justify-start space-x-2 cursor-pointer"
                        @click="$router.push({name: 'user.explore.plan_details', params: {code: plan.code}})"
                    >
                        <div
                            class="w-12 self-center"
                        >
                            <img
                                :src="plan.category_icon"
                                class="w-full"
                            />
                        </div>
                        <div
                            class="flex-1 text-[12px]"
                        >
                            <div class="font-black leading-tight text-lg mb-2">{{ plan.plan_name }}</div>
                            <div class="leading-tight">{{ $t(`conversative_${plan.setting.risk_type}_risk_investment`) }}</div>
                            <div class="leading-tight">
                                <span class="capitalize">{{ $t('expected_return') }}: </span>
                                {{ (parseFloat(plan.setting.min_return_percentage_per_cycle) > 0 ? ('+' + plan.setting.min_return_percentage_per_cycle) : (plan.setting.min_return_percentage_per_cycle)) }}% to {{ (parseFloat(plan.setting.max_return_percentage_per_cycle) > 0 ? ('+' + plan.setting.max_return_percentage_per_cycle) : (plan.setting.max_return_percentage_per_cycle)) }}% / {{ plan.setting.plan_type === 'structured' ? 'contract' : 'week' }}
                            </div>
                            <div class="leading-tight">
                                <span class="capitalize">{{ $t('minimum_invest') }}: </span>
                                $ {{ $helper.fundFormat(plan.setting.initial_investment_amount, 0) }}
                            </div>
                            <div class="leading-tight flex justify-between">
                                <div
                                    class="flex-1"
                                >
                                    <span class="capitalize">{{ $t('tenure') }}: </span>
                                    {{ $t(plan.setting.capital_lock_days) }} {{ $t('days') }}
                                </div>
                                <a
                                    href="javascript:"
                                    class="text-sm text-blue-800 underline capitalize"
                                >
                                    {{ $t('view_fund') }}
                                </a>
                            </div>
                        </div>
                    </div>
                </custom-card>
            </div>
        </div>
    </div>
</template>

<script setup>
import CustomCard from "~/components/custom-card.vue";
import {useUserStore} from "~/stores/user.js";
import HeaderCircleContainer from "~/components/header-circle-container.vue";
import {computed, onMounted} from "vue";
import {useSettingStore} from "~/stores/setting.js";

const $userStore = useUserStore();
const $user = computed(() => {
    return $userStore.account;
});
const $userTotalCreditValue = computed(() => {
    return $userStore.creditTotalValue;
});

const $settingStore = useSettingStore();

const plans = computed(() => {
    return $settingStore.plans;
});

onMounted(async() => {
    await $settingStore.fetchSettings();
    await $userStore.fetchAccount();
});
</script>
